QGIS Application - Bug report #3622
Composer raster problem printing
2011-03-15 11:48 AM - John Tull

Status: Closed

Priority: Low

Assignee: nobody -

Category:

Affected QGIS version: Regression?: No
Operating System: All Easy fix?: No
Pull Request or Patch supplied: Resolution: fixed
Crashes QGIS or corrupts data: Copied to github as #: 13681
Description

A major issue has cropped up with the handling of raster data in composer output. Rasters appear to be rendered multiple times with a
datum shift at each render. I've attached an example | made using the spearfish data (geology raster layer and archsites vector layer).
This should be replicable, but testing by others would be appreciated. | used default settings for the composer item (A4, landscape
page). Printing as raster, vector, exporting as image—all have the same result as shown below.

History

#1 - 2011-03-15 11:58 AM - John Tull

| realized my test example was being reprojected to epsg 26911. Setting the native resolution as the project default generates the same general problem.
Likewise, turning off OTF reprojection results in bad map output.

#2 - 2011-03-16 08:27 AM - Anita Graser

| confirm this problem on Ubuntu with commit:a3cfe6fb (SVN r15506).

#3 - 2011-03-16 10:45 AM - John Tull

| was able to get a successful map produced with rev 15382, but nothing beyond that (there were separate crash issues for OSX not resolved on my

platform until rev 15412, so it may have cropped up anywhere in that span of code updates).

#4 - 2011-03-17 05:55 AM - Marco Hugentobler
- Resolution set to fixed
- Status changed from Open to Closed

Should be fixed in commit:7d42434d (SVN r15529). Please test and reopen if not.

Files

spearfish_test.png 149 KB 2011-03-15 John Tull
